Bug 922721 - notify CC list should be visible to non-admins
Summary: notify CC list should be visible to non-admins
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.11
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 0.12
Assignee: Qixiang Wan
QA Contact: Raymond Mancy
URL:
Whiteboard: UX
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-18 11:22 UTC by Ales Zelinka
Modified: 2018-02-06 00:41 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-11 04:57:03 UTC


Attachments (Terms of Use)

Description Ales Zelinka 2013-03-18 11:22:17 UTC
I can't see a machine's notify CC list unless I'm in an admin group for the box (even though it's in my available machines and I can use it just fine).  

Please make the CC list visible (but not editable) to non-admins.

Comment 1 Bill Peck 2013-03-18 12:52:30 UTC
+1 to this.

There is no reason to hide the cc list.

Comment 2 Dan Callaghan 2013-03-18 22:14:33 UTC
We were requested to hide it from non-owners in bug 703548.

Comment 3 Jeff Burke 2013-03-18 22:31:03 UTC
Dan,
 The other BZ that I had opened to try and resolved this was closed. See
https://bugzilla.redhat.com/show_bug.cgi?id=729334 Rather then reopen that
BZ. I think we should rethink the original request 703548 since it was not 
a very visable change. The requester and Beaker devs were the only ones that knew about that change. If I had known about it at the time I would have rejected the request.

Thanks,
Jeff

Comment 4 Min Shin 2013-03-19 00:13:04 UTC
Maybe there is a way to make it visible and not easy to abuse. Setting need info to dhafeman.

Comment 5 Dan Callaghan 2013-03-19 00:27:48 UTC
dhafeman left the company in January 2012.

Comment 6 Dan Callaghan 2013-03-19 00:29:02 UTC
And yes, I agree that the notify CC list doesn't need to be hidden.

Comment 7 Qixiang Wan 2013-03-21 02:32:08 UTC
on gerrit: http://gerrit.beaker-project.org/#/c/1811/

Comment 11 Dan Callaghan 2013-04-11 04:57:03 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.